trie_modern.cpp File Reference

A basic implementation of trie class to store only lower-case strings. More...

`#include <iostream>`
`#include <memory>`
`#include <string>`
Include dependency graph for trie_modern.cpp:

## Classes

class | Trie
struct | Trie::TrieNode

## Functions

int | main ()

## Detailed Description

A basic implementation of trie class to store only lower-case strings.

Author
  Anmol3299

## Function Documentation

## main()

int main | ( | void |  | ) |

Main function

{
Trie trie;
trie.insert("hel");
trie.insert("hello");
trie.removeWord("hel");
std::cout << trie.search("hello") << '\n';
return 0;
}
std::cout
Trie
Definition: trie_modern.cpp:16
Trie::search
bool search(const std::string &word)
Definition: trie_modern.cpp:132
Trie::insert
void insert(const std::string &word)
Definition: trie_modern.cpp:109
Here is the call graph for this function: